Bug 636122

Summary: RFE: FS format: support formatting of new filesystems using mkfs or equiv
Product: [Community] Virtualization Tools Reporter: Daniel Berrange <berrange>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: crobinso, jtomko, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-16 11:53:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 636030    

Description Daniel Berrange 2010-09-21 10:37:33 EDT
Description of problem:
The virStoragePoolBuild driver impl for filesystems should support formatting of new FSes

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ján Tomko 2015-03-16 11:53:09 EDT
Added upstream by:
commit 27758859c7192603d803fe0733ac9c141304c762
Author:     Osier Yang <jyang@redhat.com>
AuthorDate: 2011-08-31 21:54:07 +0800
Commit:     Osier Yang <jyang@redhat.com>
CommitDate: 2011-09-02 21:16:58 +0800

    storage: Add fs pool formatting
    
    This patch adds the ability to make the filesystem for a filesystem
    pool during a pool build.
    
    The patch adds two new flags, no overwrite and overwrite, to control
    when mkfs gets executed.  By default, the patch preserves the
    current behavior, i.e., if no flags are specified, pool build on a
    filesystem pool only makes the directory on which the filesystem
    will be mounted.
    
    If the no overwrite flag is specified, the target device is checked
    to determine if a filesystem of the type specified in the pool is
    present.  If a filesystem of that type is already present, mkfs is
    not executed and the build call returns an error.  Otherwise, mkfs
    is executed and any data present on the device is overwritten.
    
    If the overwrite flag is specified, mkfs is always executed, and any
    existing data on the target device is overwritten unconditionally.

git describe: v0.9.4-193-g2775885 contains: v0.9.5-rc1~93